/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { AngleUnits } from './angle-units';
// May contain unused imports in some cases
// @ts-ignore
import { CoordinatesOffset } from './coordinates-offset';

/**
 * PointedMosaicParameters defines the properties for an observing pattern consisting of a single receptor pointing with n optional offsets from the reference position.
 * @export
 * @interface PointedMosaicParameters
 */
export interface PointedMosaicParameters {
    /**
     * 
     * @type {string}
     * @memberof PointedMosaicParameters
     */
    'kind'?: string;
    /**
     * 
     * @type {Array<CoordinatesOffset>}
     * @memberof PointedMosaicParameters
     */
    'offsets'?: Array<CoordinatesOffset>;
    /**
     * 
     * @type {AngleUnits}
     * @memberof PointedMosaicParameters
     */
    'units': AngleUnits;
}



